package nl.dragontamerfred.YRPerks;

import org.bukkit.configuration.file.YamlConfiguration;

import java.io.File;

public class Config {

    public static String GENERAL_BACK_BUTTON_MATERIAL;
    public static short GENERAL_BACK_BUTTON_DAMAGE;
    public static String GENERAL_BACK_BUTTON_NAME;

    public static String INVENTORY_MAIN_NAME;
    public static String INVENTORY_PERKS_NAME;
    public static String INVENTORY_ADMIN_NAME;
    public static String INVENTORY_CLASSES_NAME;

    public static void load(File file) {
        try {
            if (!file.getParentFile().exists())
                file.getParentFile().mkdirs();
            if (!file.exists())
                Utils.ExportResource("/config.yml", file);
            YamlConfiguration config = new YamlConfiguration();
            config.load(file);

            // Inventories
            // General stuff
            GENERAL_BACK_BUTTON_MATERIAL = config.getString("inventory.general.back-button.material");
            GENERAL_BACK_BUTTON_DAMAGE = (short) config.getInt("inventory.general.back-button.damage");
            GENERAL_BACK_BUTTON_NAME = Utils.color(config.getString("inventory.general.back-button.name"));

            // Main inv
            INVENTORY_MAIN_NAME = Utils.color(config.getString("inventory.main.name"));

            // Perks inv
            INVENTORY_PERKS_NAME = Utils.color(config.getString("inventory.perks.name"));

            // Admin inv
            INVENTORY_MAIN_NAME = Utils.color(config.getString("inventory.admin.name"));

            // Classes inv
            INVENTORY_CLASSES_NAME = Utils.color(config.getString("inventory.classes.name"));
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
