package nl.dragontamerfred.YRPerks.Perks;

import nl.dragontamerfred.YRPerks.Events.KillEvent;
import nl.dragontamerfred.YRPerks.PerkManager;
import nl.dragontamerfred.YRPerks.PerkSettings;
import nl.dragontamerfred.YRPerks.Types.DamageCause;
import nl.dragontamerfred.YRPerks.Types.Perk;
import nl.dragontamerfred.YRPerks.Utils;
import org.bukkit.Material;
import org.bukkit.enchantments.Enchantment;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.inventory.ItemStack;

import java.util.ArrayList;
import java.util.List;
import java.util.Random;

public class PerkBlessingOfTheGoddess extends Perk implements Listener {

    public PerkBlessingOfTheGoddess() {
        this.id = "blessingOfTheGoddess";
        this.name = "Blessing Of The Goddess";
        this.material = Material.ENCHANTED_BOOK;
        this.damage = 0;
        List<String> description = new ArrayList<>();
        description.add("The godess of");
        description.add("the hunt might");
        description.add("bless you by");
        description.add("enchanting");
        description.add("your bow...");
        this.description = Utils.color(description);
    }

    @EventHandler
    public void on(KillEvent event) {
        Player killer = event.getKiller();
        if (PerkManager.playerHasPerkSelected(killer.getUniqueId(), id)) {
            if (event.getCause() == DamageCause.ARROW) {
                Random rand = new Random();
                if (rand.nextInt(100) <= PerkSettings.BLESSING_OF_THE_GODDESS_CHANCE) {
                    for (ItemStack is : killer.getInventory().getContents()) {
                        if (is.getType() == Material.BOW) {
                            int level = is.getEnchantmentLevel(Enchantment.ARROW_DAMAGE);
                            if (level < PerkSettings.BLESSING_OF_THE_GODDESS_MAX_LEVEL)
                                is.addEnchantment(Enchantment.ARROW_DAMAGE, level+1);
                            break;
                        }
                    }
                }
            }
        }
    }
}
