package nl.dragontamerfred.YRPerks.Perks;

import nl.dragontamerfred.YRPerks.Events.KillEvent;
import nl.dragontamerfred.YRPerks.PerkManager;
import nl.dragontamerfred.YRPerks.PerkSettings;
import nl.dragontamerfred.YRPerks.Types.Perk;
import nl.dragontamerfred.YRPerks.Utils;
import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;

import java.util.ArrayList;
import java.util.List;
import java.util.Random;

public class PerkGoldenHeart extends Perk implements Listener {

    public PerkGoldenHeart() {
        this.id = "goldenHeart";
        this.name = "Golden Heart";
        this.material = Material.GOLDEN_APPLE;
        this.damage = 0;
        List<String> description = new ArrayList<>();
        description.add("You can feel");
        description.add("yourself getting");
        description.add("stronger every");
        description.add("time you defeat");
        description.add("an opponent.");
        this.description = Utils.color(description);
    }

    @EventHandler
    public void on(KillEvent event) {
        Player killer = event.getKiller();
        if (PerkManager.playerHasPerkSelected(killer.getUniqueId(), id)) {
            Random rand = new Random();
            if (rand.nextInt(100) <= PerkSettings.GOLDEN_HEART_CHANCE) {
                if (((killer.getMaxHealth() - 20) / 2) < PerkSettings.GOLDEN_HEART_MAX_HEARTS)
                    killer.setMaxHealth(killer.getMaxHealth() + 2.0);
            }
        }
    }
}
